%define bigfov 0
# --with plf build libpano with fov > 160 support wich is patent covered
# or have some legal issue, so disabled by default

%{?_with_plf: %{expand: %%global bigfov 1}}

%define name	libpano13
%define version 2.9.17
%if %bigfov
%define distsuffix plf
%endif

%define	release	%mkrel 1
%define lib_major 0
%define libname %mklibname pano13_ %{lib_major}
%define develname %mklibname -d pano13

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Panorama Tools library
License:	GPL
Group:		System/Libraries
URL:		http://panotools.sourceforge.net/
Source:		http://downloads.sourceforge.net/panotools/%{name}-%{version}.tar.gz
Patch:		string_literal.patch
BuildRequires:	java-1.7.0-icedtea-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Helmut Dersch's Panorama Tools

%if %bigfov
This package is in PLF because there is a patent if FOV is > 160
%endif

%package tools
Summary:	Panorama Tools library
Group:		Graphics

%description tools
Utilies for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	libpano0
Provides:	libpano0

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pano13-devel = %{version}-%{release}

%description -n %{develname}
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q
%patch

%build
export LIBS="-lm"
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x --enable-shared=yes --enable-static=no --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files tools
%defattr (-,root,root)
%doc gpl.txt README.linux README.windows
%{_bindir}/PT*
%{_bindir}/panoinfo
%{_mandir}/man1/*.1.*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/libpano13.so.*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/pano13
%{_libdir}/libpano13.la
%{_libdir}/libpano13.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Sep 17 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.9.17-1mdv2011.0
+ Revision: 579126
- Updated to 2.9.17.

* Thu Jul 22 2010 Nicholas Brown <nickbrown@mandriva.org> 2.9.17-0.beta2.1mdv2011.0
+ Revision: 556857
- New Version
- New Version
- New Version

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2.9.14-2mdv2010.0
+ Revision: 419753
- rebuild for new libjpeg v7

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.14-1mdv2010.0
+ Revision: 387661
- 2.9.14 final

* Tue Mar 10 2009 Nicholas Brown <nickbrown@mandriva.org> 2.9.14-0.beta2.1mdv2009.1
+ Revision: 353397
- new version

* Tue Feb 24 2009 Nicholas Brown <nickbrown@mandriva.org> 2.9.14-0.beta1.1mdv2009.1
+ Revision: 344490
- new version

* Fri Oct 24 2008 Nicholas Brown <nickbrown@mandriva.org> 2.9.12-6mdv2009.1
+ Revision: 296881
- rebuild
- better packaging to fix #45206

* Mon Aug 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9.12-4mdv2009.0
+ Revision: 262842
- fix linkage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.12-3mdv2008.1
+ Revision: 158733
- update PLF description

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.12-2mdv2008.1
+ Revision: 158609
- fix devel package name

* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.12-1mdv2008.1
+ Revision: 158477
- import libpano13


